Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040908
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2019-05-20 10:072019-05-30 18:24
Reportersanti_lozanoView Statuspublic 
Assigned Tononofrancisco 
PriorityhighResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision51cc50c5f11a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040908: Unexpected Bank Revaluation Loss and posting error with Multi Currency in a payment out

DescriptionGiven a purchase invoice with a concrete total gross amount (150) in some currency and with a concrete exchange rate (14200), when paying for it (payment out) with other concrete exchange rate (14050) and then posting, the debit line is wrong and it also appears an unexpected bank loss of 0.01 (debit lines are that and 2129999.99, which should all be 2130000), credit accounts postings are correct as expected
Steps To Reproduce* change role to F&B International Group Admin
* in Payment Method window, select Wire Transfer. Make Payments in Multiple Currencies = selected, Upon Payment Use = In Transit Payment Account
* in Financial Account window, select Bank – Account 1. In its Payment Method tab, select Wire Transfer. Make Payments in Multiple Currencies = selected, Upon Payment Use = In Transit Payment Account
* in Price List window, create a new one. Organization = *, Name = Int Euro Price List, Currency = EUR. In its Price List Version tab, create a new one. Name = Int Euro Sales Price List, Price List Schema = Price list schema. In its Product Price subtab, create a new one. Product = Plain Water, Unit Price = 1.00, List Price = 1.00
* in Business Partner window, create a new one. Organization = *, Search Key = IWC, Commercial Name = Int Water Company, Business Partner Category = Supplier. In its Vendor/Creditor subtab set: Purchase Price List = Int Euro Price List, PO Payment Method = Wire Transfer. In its Location Address, create one. Location/Address set with: 1st Line = Via Agua 3, City = Madrid, Country = Spain, Region = Madrid
* in Purchase Invoice, create a new one. Organization = F&B US, Inc., Business Partner = Int Water Company, Payment Method = Wire Transfer. In its Lines tab, create a new one. Product = Plain Water, Operative Quantity = 150, Tax = Exempt. In its Exchange Rates tab, create a new one. Currency = EUR, To Currency = USD, Rate = 14200
* in the created Purchase Invoice, click the Complete button. Then click the Add Payment button. Create a payment for it with Conversion Rate = 14050. Click the Done button. Remember the Document No. of the payment created shown in green now.
* in Payment Out window, search that payment created, click the Post button and ok. Look in its Accounting tab how the lines with Debit amounts are not correct (image attached)
TagsNo tags attached.
Attached Filespng file icon Image Issue for ticket 9820.png [^] (288,820 bytes) 2019-05-20 10:07

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0112246)
nonofrancisco (developer)
2019-05-29 21:09

As Openbravo/F&B International Group Admin

Open Payment Method window
Select Wire Transfer.
  Make Payments in Multiple Currencies = selected
  Upon Payment Use = In Transit Payment Account
Open Financial Account window
Select Bank – Account 1.
Go to Payment Method tab
Select Wire Transfer
  Make Payments in Multiple Currencies = selected
  Upon Payment Use = In Transit Payment Account
Open Price List window
Create a new one.
  Organization = *
  Name = Int Euro Price List
  Currency = EUR
Go to Price List Version tab
Create a new one
  Name = Int Euro Sales Price List
  Price List Schema = Price list schema
Go to Product Price subtab
Create a new one
  Product = Plain Water
  Unit Price = 1.00
  List Price = 1.00
Go to Business Partner window
  Create a new one. Organization = *
  Search Key = IWC
  Commercial Name = Int Water Company
  Business Partner Category = Supplier
Go to Vendor/Creditor subtab set:
  Purchase Price List = Int Euro Price List
  PO Payment Method = Wire Transfer
Go to Location Address
Create one
  Location/Address : 1st Line = Via Agua 3, City = Madrid, Country = Spain, Region = Madrid
Go to Purchase Invoice window
Create a new one
  Organization = F&B US, Inc.
  Business Partner = Int Water Company
  Payment Method = Wire Transfer
Go to Lines tab
Create a new one
  Product = Plain Water
  Operative Quantity = 150
  Tax = Exempt.
Go to Exchange Rates tab
Create a new one
  Currency = EUR
  To Currency = USD
  Rate = 14200
Click the Complete button.
Click the Add Payment button.
Create a payment for it with Conversion Rate = 14050
Click the Done button
Remember the Document No. of the payment created shown in green now.
Go to Payment Out window
Search that payment created
Click the Post button and ok.
Go to Accounting tab
Verify there are three lines, one credit line with value 2130000.00 and two debit lines with values 2107500.00 and 22500.00
(0112260)
hgbot (developer)
2019-05-30 10:32

Repository: erp/devel/pi
Changeset: 51cc50c5f11a38249b367cb7aa618f8a3ee877b7
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Thu May 30 10:25:37 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/51cc50c5f11a38249b367cb7aa618f8a3ee877b7 [^]

Fixes issue 40908. Increase presicion to avoid diferences.

The presicion was increased to avoid unnecessary diferences when converting
between currencies.

---
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
---
(0112261)
Sandrahuguet (developer)
2019-05-30 10:33

code review + testing ok
(0112285)
hudsonbot (developer)
2019-05-30 18:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b12569076050 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-20 10:07 santi_lozano New Issue
2019-05-20 10:07 santi_lozano Assigned To => platform
2019-05-20 10:07 santi_lozano File Added: Image Issue for ticket 9820.png
2019-05-20 10:07 santi_lozano Web browser => Google Chrome
2019-05-20 10:07 santi_lozano Modules => Core
2019-05-20 10:07 santi_lozano Triggers an Emergency Pack => No
2019-05-20 10:11 santi_lozano Web browser Google Chrome => Google Chrome
2019-05-20 10:11 santi_lozano Target Version 3.0PR19Q1 =>
2019-05-20 12:50 alostale Assigned To platform => Triage Finance
2019-05-20 13:44 Sandrahuguet Web browser Google Chrome => Google Chrome
2019-05-20 13:44 Sandrahuguet Category A. Platform => 09. Financial management
2019-05-20 13:46 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-05-22 12:04 santi_lozano Web browser Google Chrome => Google Chrome
2019-05-22 12:04 santi_lozano Steps to Reproduce Updated View Revisions
2019-05-29 16:26 nonofrancisco Status new => scheduled
2019-05-29 21:09 nonofrancisco Note Added: 0112246
2019-05-30 10:32 hgbot Checkin
2019-05-30 10:32 hgbot Note Added: 0112260
2019-05-30 10:32 hgbot Status scheduled => resolved
2019-05-30 10:32 hgbot Resolution open => fixed
2019-05-30 10:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/51cc50c5f11a38249b367cb7aa618f8a3ee877b7 [^]
2019-05-30 10:33 Sandrahuguet Review Assigned To => Sandrahuguet
2019-05-30 10:33 Sandrahuguet Note Added: 0112261
2019-05-30 10:33 Sandrahuguet Status resolved => closed
2019-05-30 10:33 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-05-30 18:24 hudsonbot Checkin
2019-05-30 18:24 hudsonbot Note Added: 0112285


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker